//
// Genius Scan SDK
//
// Copyright 2010-2019 The Grizzly Labs
//
// Subject to the Genius Scan SDK Licensing Agreement
// sdk@thegrizzlylabs.com
//

#import <Foundation/Foundation.h>

@class GSKQuadrangle;
@class GSKTriggerDecider;
@class GSKQuadrangleStreamAnalyzer;

@protocol GSKTriggerDeciderDelegate <NSObject>

- (void)triggerDecider:(GSKTriggerDecider *)triggerDecider decidedToTriggerWithQuadrangle:(GSKQuadrangle *)quadrangle;
- (void)triggerDecider:(GSKTriggerDecider *)triggerDecider suggestedQuadrangle:(GSKQuadrangle *)quadrangle;

- (void)triggerDeciderIsAboutDecide:(GSKTriggerDecider *)triggerDecider;
- (void)triggerDeciderIsSearching:(GSKTriggerDecider *)triggerDecider;

@end

@interface GSKTriggerDecider : NSObject

+ (NSTimeInterval)minDurationInAboutToTriggerForTrigger;

- (instancetype)init;
- (instancetype)initWithAnalyzer:(GSKQuadrangleStreamAnalyzer *)analyzer NS_DESIGNATED_INITIALIZER;

- (void)reset;
- (void)feedQuadrangle:(GSKQuadrangle *)quadrangle;

@property (nonatomic, weak) id <GSKTriggerDeciderDelegate> delegate;

@end
